## IAnjutaEditorGladeSignal

IAnjutaEditorGladeSignal — Interface for dropping signal handlers

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_glade_signal_error_quark ()

## Signals

void | drop | Run Last
gboolean | drop-possible | Run Last

## Types and Values

#define | IANJUTA_EDITOR_GLADE_SIGNAL_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaEditorGladeSignal

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-goto.h>

## Description

## Functions

### ianjuta_editor_glade_signal_error_quark ()

    GQuark
    ianjuta_editor_glade_signal_error_quark
                                   (void);

## Types and Values

### IANJUTA_EDITOR_GLADE_SIGNAL_ERROR

    #define IANJUTA_EDITOR_GLADE_SIGNAL_ERROR ianjuta_editor_glade_signal_error_quark()

## Signal Details

### The `“drop”` signal

    void
    user_function (IAnjutaEditorGladeSignal *obj,
                   IAnjutaIterable          *iter,
                   gchar                    *signal_data,
                   gpointer                  user_data)

Emitted when a signal was received per drag & drop

#### Parameters

obj | self |
iter | a IAnjutaIterable of the position where drop happens |
signal_data | Signal data in form "widget:signal:handler", e.g. "GtkToggleButton:toggled:on_toggle_button_toggled" |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“drop-possible”` signal

    gboolean
    user_function (IAnjutaEditorGladeSignal *obj,
                   IAnjutaIterable          *iter,
                   gpointer                  user_data)

Emitted when a signal is dragged over the editor

#### Parameters

obj | self |
iter | a IAnjutaIterable of the position where drop would happen |
user_data | user data set when the signal handler was connected. |

#### Returns

TRUE if a signal handler can be dropped, FALSE otherwise

Flags: Run Last